Subject: Re: linux-next: April 27 (iscsi_ibft)

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Tue, 11 May 2010 13:58:48 -0400

> > It is all b/c we now use the 'struct acpi_table_ibft *ibft_addr' which
> > is gone when !CONFIG_ACPI.
> >
> > Peter, if we did in an #ifdef !CONFIG_ACPI in iscsi_ibft.h and included
> > a copy of the old ibft_struct that should work.
> >
> > Or we make the code dependent on CONFIG_ACPI (in the Kconfig
> > file).
> >
> > Peter, Randy: Which option do you think makes more sense?
>
> I think that you and Peter know more about that than I do.
> I'd go for the Kconfig dependency.

Found a way that makes this go away. This is by including #include 
<linux/iscsi_ibft.h> in the module and it fixed the problem.